Bug 197669 - Fail to compile vanilla 2.6.10 kernel from source after system update
Fail to compile vanilla 2.6.10 kernel from source after system update
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-05 09:12 EDT by Hunter Cobbs
Modified: 2015-01-04 17:27 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-25 23:34:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hunter Cobbs 2006-07-05 09:12:52 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible: very


Steps to Reproduce:
1. Extract 2.6.10 source
2. Configure kernel
3. su, then execute "make"
  
Actual results:
  CHK     include/linux/version.h
make[1]: `arch/i386/kernel/asm-offsets.s' is up to date.
  CHK     include/linux/compile.h
  CHK     usr/initramfs_list
  CC      arch/i386/kernel/process.o
{standard input}: Assembler messages:
{standard input}:756: Error: suffix or operands invalid for `mov'
{standard input}:757: Error: suffix or operands invalid for `mov'
{standard input}:958: Error: suffix or operands invalid for `mov'
{standard input}:959: Error: suffix or operands invalid for `mov'
{standard input}:1027: Error: suffix or operands invalid for `mov'
{standard input}:1028: Error: suffix or operands invalid for `mov'
{standard input}:1099: Error: suffix or operands invalid for `mov'
{standard input}:1100: Error: suffix or operands invalid for `mov'
{standard input}:1167: Error: suffix or operands invalid for `mov'
{standard input}:1179: Error: suffix or operands invalid for `mov'
make[1]: *** [arch/i386/kernel/process.o] Error 1
make: *** [arch/i386/kernel] Error 2


Expected results:
a compiled kernel

Additional info:
This worked before I executed a system upgrade with the "software updater"
Comment 1 Hunter Cobbs 2006-07-05 09:45:28 EDT
After some additional investigation, it appears this may be rooted in the
binutils upgrade that was part of the full system update.
Comment 2 Dave Jones 2006-07-25 23:34:56 EDT
old kernels frequently don't compile with newer gcc/binutils.

Note You need to log in before you can comment on or make changes to this bug.